#version 300 es
precision mediump float;
uniform vec4 u_specular;
uniform vec4 u_diffuse;
uniform float u_specularpower;

uniform sampler2D t_texture0;

in vec2 v_texcoord0;
in vec3 v_viewDir;
in vec3 v_lightDir;
in vec3 v_normal;
in vec4 v_color;
in vec3 v_diffuse;

out vec4 outColor;

void main(void)
{
    float alpha = 1.0;

    if (dot(v_viewDir, v_normal) > 0.25)
        alpha = 0.0;

    outColor = vec4(1.0, 1.0, 1.0, alpha);
}