#version 300 es
uniform mat4 mv_matrix;
uniform mat4 proj_matrix;
uniform vec4 u_color;

in vec3 a_vertex;
in vec2 a_texcoord0;
in vec4 a_color;

out vec4 v_color;
out vec2 v_texcoord0;

void main(void)
{
    v_color = u_color * a_color;
    v_texcoord0 = a_texcoord0;

    gl_Position = proj_matrix * mv_matrix * vec4(a_vertex, 1.0);
}