#version 300 es
precision mediump float;
uniform sampler2D t_texture0;
uniform float u_time;

in vec4 v_color;
in vec2 v_texcoord0;

out vec4 outColor;

void main(void)
{
    vec2 tex = v_texcoord0 + 0.5*vec2(cos(u_time*0.25), sin(u_time*0.25)) + 0.1*vec2(cos(u_time*0.1+3.2*v_texcoord0.x), sin(u_time*0.1+3.0*v_texcoord0.y));
    vec4 color = texture(t_texture0, tex) * v_color;
    outColor = color;
}