#version 300 es
precision mediump float;
uniform sampler2D t_texture0;
uniform sampler2D t_texture1;

in vec2 v_texcoord0;
in vec2 v_texcoord1;
in vec4 v_color;

out vec4 outColor;

void main(void)
{
    outColor = v_color * texture(t_texture0, v_texcoord0) * (texture(t_texture1, v_texcoord1) + 0.2);
}