#version 300 es
precision mediump float;
uniform sampler2D t_texture0;
uniform sampler2D t_texture1;

in vec2 v_texcoord0;
in vec2 v_texcoord1;
in vec4 v_color;

out vec4 outColor;

void main(void)
{
    vec4 color0 = texture(t_texture0, v_texcoord0);

    if (color0.a < 0.95)
        discard;

    outColor = v_color * color0 * (texture(t_texture1, v_texcoord1) + 0.2);
}