#version 300 es
precision mediump float;
uniform mat4 mv_matrix;
uniform mat4 proj_matrix;

in vec3 v_normal;
in lowp float SpecularIntensity;
in vec3 v_eyeDirectModel;

out vec4 outColor;

uniform sampler2D t_texture0;

void main() {
    highp vec2 muv = vec2(proj_matrix * vec4(normalize(v_normal), 0))*0.5+vec2(0.5,0.5);
    outColor = texture(t_texture0, vec2(muv.x, 1.0-muv.y));
}