#version 300 es
precision mediump float;
uniform sampler2D t_texture0;
uniform float u_time;

in vec4 v_color;
in vec2 v_texcoord0;

out vec4 outColor;

void main(void)
{
    vec2 tex = v_texcoord0;
    vec4 color = texture(t_texture0, tex) * v_color;
    outColor = color;
}